summaryrefslogtreecommitdiff
path: root/nixos/profiles/workstation/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'nixos/profiles/workstation/scripts')
-rwxr-xr-xnixos/profiles/workstation/scripts/deploy-dir16
-rw-r--r--nixos/profiles/workstation/scripts/reset-bg2
-rw-r--r--nixos/profiles/workstation/scripts/set-bg3
3 files changed, 21 insertions, 0 deletions
diff --git a/nixos/profiles/workstation/scripts/deploy-dir b/nixos/profiles/workstation/scripts/deploy-dir
new file mode 100755
index 0000000..bb7dfdf
--- /dev/null
+++ b/nixos/profiles/workstation/scripts/deploy-dir
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+if [ "$#" -ne 3 ]; then
+ echo "usage: $0 <local_dir> <ssh_dest> <remote_dir>"
+ exit 1
+fi
+printf -v remote_dir %q $3
+
+cd $1
+tar cf - . | ssh $2 "set -xe
+TEMP_DIR=\$(mktemp -d)
+cd \$TEMP_DIR
+tar xvf -
+rm -rf $remote_dir
+mv \$TEMP_DIR $remote_dir
+"
diff --git a/nixos/profiles/workstation/scripts/reset-bg b/nixos/profiles/workstation/scripts/reset-bg
new file mode 100644
index 0000000..5aa20f6
--- /dev/null
+++ b/nixos/profiles/workstation/scripts/reset-bg
@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+echo -en "\033]111\007"
diff --git a/nixos/profiles/workstation/scripts/set-bg b/nixos/profiles/workstation/scripts/set-bg
new file mode 100644
index 0000000..e78afdc
--- /dev/null
+++ b/nixos/profiles/workstation/scripts/set-bg
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+rgb_with_slashes=$(echo "$1" | sed -r 's,(..)(..),\1/\2/,')
+echo -en "\033]11;rgb:$rgb_with_slashes\007"